module.exports = function destroyIfFound(req,res,next){
    
    return new Promise((resolve,reject)=>{
        
        const id = req.params.id;
        return this.findOne({
            where: {
                id: id
            }
        }).then(obj=>{
    
            if (!obj){
                let e = new Error("Could not find by Id " + id + ", nothing was destroyed")
                e.status = 404;
                return reject(e);
            }
            else return obj.destroy().then(done=>{
                
                console.log("deleting..")
                return res.status(204).end();
                
    
            })
    
        })
        
        
    })

    
}