var findAndPageAll = require("./_methods/find_and_page_all");
var updateWhitelisted = require("./_methods/update_whitelisted");
var findById = require("./_methods/find_by_id"); 
var destroyIfFound = require("./_methods/destroy_if_found");
var createWithWhitelisted = require("./_methods/create_with_whitelisted");
var updateOrCreate = require("./_methods/update_or_create");


var init = function (Sequelize) {
    
    Sequelize.Model.findAndPageAll = findAndPageAll;
    Sequelize.Model.updateWhitelisted = updateWhitelisted;
    Sequelize.Model.findById = findById;
    Sequelize.Model.destroyIfFound = destroyIfFound;
    Sequelize.Model.createWithWhitelisted = createWithWhitelisted.createWithWhitelisted;
    Sequelize.Model.createWithWhitelistedAndReturn = createWithWhitelisted.createWithWhitelistedAndReturn;
    Sequelize.Model.updateOrCreate = updateOrCreate;
    
    return Sequelize;
}


module.exports = {
    init: init
}