
function createWithWhitelisted(whitelisted,req,res,next){

    let obj = {};
    whitelisted.forEach(w=>{
        if (req.body[w]) obj[w] = req.body[w];
    })

    return this.create(obj).then(new_obj=>{
        
        return res.json({
            "data" : new_obj
        })

    }).catch(next);
    
}


function createWithWhitelistedAndReturn(whitelisted,updates,opts){
    
    let obj = {};
    whitelisted.forEach(w=>{
        if (updates[w]) obj[w] = updates[w];
    })
    
    
    if (opts.transaction){
        
        return this.create(obj,{
            transaction: opts.transaction
        })
        
        
    }else{
        
        return this.create(obj)
        
    }

    
}


module.exports = {
    createWithWhitelisted: createWithWhitelisted,
    createWithWhitelistedAndReturn: createWithWhitelistedAndReturn
}