module.exports = function updateWhitelisted(whitelisted,req,res,next){
    
    return new Promise((resolve,reject)=>{
        
        const id = req.params.id;
        let update = {};
        whitelisted.forEach(w=>{
            if (req.body.hasOwnProperty(w)) update[w] = req.body[w];
        })
    
        this.findOne({
            where : {
                id: id
            }
        }).then(obj=>{
    
            if (!obj){
                let notFoundError = new Error("Object not found for id " + id)
                notFoundError.status = 404;
                return reject(notFoundError);
            }
            else return obj.update(update).then(done=>{
             
                return this.findOne({where : {id:id}}).then(updated=>{
                    return res.json({
                        "updated" : updated
                    }).end();
                })
    
            })
    
        })
        
        
        
    })


}